Skip to main content
POST
/
v1
/
admin
/
actions
/
notifications
/
broadcast
Error
A valid request URL is required to generate request examples
{
  "ok": true,
  "recipients": 123,
  "inserted": 123,
  "challengeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
audience
enum<string>
required
Available options:
all,
market_holders
title
string
required
Required string length: 1 - 120
message
string
required
Required string length: 1 - 1000
stepUp
object
required
marketAddress
string

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
side
enum<string>
Available options:
yes,
no
Maximum string length: 300
Pattern: ^\/

Response

Default Response

ok
enum<boolean>
required
Available options:
true
audience
enum<string>
required
Available options:
all,
market_holders
recipients
number
required
inserted
number
required
challengeId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$